Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15031

Description

Using the attached data (data is from GADM, I hope using it here does not violate redissemination rules...):

    -  Load Bel_adm2.shp

    -  Load testdata.dbf (this file has data for all features in Bel_adm2 except for 2 - these feature have NULL values in the testdata column

of Bel_adm2 attributes)

    -  Join testdata to Bel_adm2 using ID column as join key.

    -  Go into Bel_adm2 Properties->Style

    -  Use Graduated classification once with 'testdata' and once with 'TESTDATA2'. Both columns are NULL for two features (ID 3 and

11), but the way they are mapped is different. testdata null values are ignored and the spatial feature not drawn, while TESTDATA2 null

values are transformed to 0 and corresponding features are drawn.

For me the way the testdata null values are handled is the correct way, also since TESTDATA2 null values transformed to 0 will alter

classification results (e.g. quantiles).

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-09 02:09 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

in QGIS 2.13 master, the bug seems to be fixed: I've got null values for both columns and the graduated renderer gives exactly the same classes with

testdata and TESTDATA2.

I am closing this bug !
Files

join_null_bug_data.zip 60.8 KB 2012-04-06 mlennert -
